## ros-jazzy-moveit-setup-srdf-plugins 2.10.0

=== debian/changelog ===
ros-jazzy-moveit-setup-srdf-plugins (2.10.0-2bookworm) bookworm; urgency=high

  * Apply clang-tidy fixes
  * Unify log names (#2720 <https://github.com/moveit/moveit2/issues/2720>)
    Co-authored-by: Abishalini Sivaraman <mailto:abi.gpuram@gmail.com>
  * CMake format and lint in pre-commit (#2683 <https://github.com/moveit/moveit2/issues/2683>)
  * Contributors: Robert Haschke, Sebastian Jahr, Tyler Weaver

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 12 Jun 2024 16:00:00 -0000

ros-jazzy-moveit-setup-srdf-plugins (2.9.0-2bookworm) bookworm; urgency=high

  * Node logging for the rest of MoveIt (#2599 <https://github.com/ros-planning/moveit2/issues/2599>)
  * fix typos in compute_default_collisions.cpp (#2461 <https://github.com/ros-planning/moveit2/issues/2461>)
    * fix typos in compute_default_collisions.cpp
    * Fix typo
    ---------
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@tuta.io>
  * Merge branch 'main' into dependabot/github_actions/SonarSource/sonarcloud-github-c-cpp-2
  * Contributors: Sebastian Jahr, Surav Shrestha, Tyler Weaver

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 08 Jan 2024 16:00:00 -0000

ros-jazzy-moveit-setup-srdf-plugins (2.8.0-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 09 Sep 2023 16:00:00 -0000

ros-jazzy-moveit-setup-srdf-plugins (2.7.4-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 17 May 2023 16:00:00 -0000

ros-jazzy-moveit-setup-srdf-plugins (2.7.3-2bookworm) bookworm; urgency=high

  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Shobuj Paul

 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 23 Apr 2023 16:00:00 -0000

ros-jazzy-moveit-setup-srdf-plugins (2.7.2-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 17 Apr 2023 16:00:00 -0000

ros-jazzy-moveit-setup-srdf-plugins (2.7.1-2bookworm) bookworm; urgency=high

  * Fix member naming (#1949 <https://github.com/ros-planning/moveit2/issues/1949>)
    * Update clang-tidy rules for readability-identifier-naming
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Contributors: Robert Haschke

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 22 Mar 2023 16:00:00 -0000

ros-jazzy-moveit-setup-srdf-plugins (2.7.0-2bookworm) bookworm; urgency=high

  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Minimize use of this-> (#1784 <https://github.com/ros-planning/moveit2/issues/1784>)
    It's often unnecessary. MoveIt already avoids this in most cases
    so this PR better cements that existing pattern.
  * Enable -Wold-style-cast (#1770 <https://github.com/ros-planning/moveit2/issues/1770>)
  * Add braces around blocks. (#999 <https://github.com/ros-planning/moveit2/issues/999>)
  * Contributors: Chris Thrasher, Christian Henkel, Cory Crean

 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 28 Jan 2023 16:00:00 -0000

ros-jazzy-moveit-setup-srdf-plugins (2.6.0-2bookworm) bookworm; urgency=high

  * Merge PR #1553 <https://github.com/ros-planning/moveit2/issues/1553>: Improve cmake files
  * Cleanup cmake files
    - Replace ament_export_libraries() -> ament_export_targets(HAS_LIBRARY_TARGET)
    - Replace ament_export_include_directories() -> INCLUDES DESTINATION include
    See https://docs.ros.org/en/foxy/How-To-Guides/Ament-CMake-Documentation.html#building-a-library
  * Use standard exported targets: export_${PROJECT_NAME} -> ${PROJECT_NAME}Targets
  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>)
  * Contributors: Robert Haschke, Sebastian Jahr

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 09 Nov 2022 16:00:00 -0000

ros-jazzy-moveit-setup-srdf-plugins (2.5.3-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 27 Jul 2022 16:00:00 -0000

ros-jazzy-moveit-setup-srdf-plugins (2.5.2-2bookworm) bookworm; urgency=high

  * [MSA] Testing Framework for MoveItSetupAssistant (#1383 <https://github.com/ros-planning/moveit2/issues/1383>)
  * Merge pull request #1254 <https://github.com/ros-planning/moveit2/issues/1254> from ros-planning/feature/msa
    MoveIt Setup Assistant - Merge the Feature branch
  * Merge remote-tracking branch 'origin/main' into feature/msa
  * [MSA] Fix SRDF Initialization Bug / Copy Paste Error (#1381 <https://github.com/ros-planning/moveit2/issues/1381>)
  * [MSA] Fix compile issues
  * Merge remote-tracking branch 'upstream/main' into feature/msa
  * [MSA] Clean up extra parentheses (#1366 <https://github.com/ros-planning/moveit2/issues/1366>)
  * [MSA] clang-format fixes
  * [MSA] Workaround to launch files without controllers (#1275 <https://github.com/ros-planning/moveit2/issues/1275>)
  * [MSA] PR Feedback
  * [MSA] Merge main into feature/msa (Part III) (#1249 <https://github.com/ros-planning/moveit2/issues/1249>)
  * [MSA] Merge main into feature/msa (Part II) (#1240 <https://github.com/ros-planning/moveit2/issues/1240>)
  * [MSA] Merge Upstream into feature/msa (#1119 <https://github.com/ros-planning/moveit2/issues/1119>)
  * [MSA] SRDF Setup (#1057 <https://github.com/ros-planning/moveit2/issues/1057>)
  * [MSA] Initial Refactor
  * [MSA] Move Files Around (split into multiple packages, change to hpp extension)
  * Contributors: David V. Lu!!, Vatan Aksoy Tezer

 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 17 Jul 2022 16:00:00 -0000

ros-jazzy-moveit-setup-srdf-plugins (2.5.1-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 30 May 2022 16:00:00 -0000

ros-jazzy-moveit-setup-srdf-plugins (2.5.0-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 May 2022 16:00:00 -0000

ros-jazzy-moveit-setup-srdf-plugins (2.3.2-2bookworm) bookworm; urgency=high




