=== debian/control ===
Source: ros-jazzy-moveit-setup-srdf-plugins
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-jazzy-ament-cmake, ros-jazzy-ament-cmake-gtest <!nocheck>, ros-jazzy-moveit-resources-fanuc-description <!nocheck>, ros-jazzy-moveit-setup-framework, ros-jazzy-pluginlib, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-moveit-setup-srdf-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-moveit-setup-framework, ros-jazzy-pluginlib, ros-jazzy-ros-workspace
Description: SRDF-based plugins for MoveIt Setup Assistant
